# $Id: smeserver-subversion.spec,v 1.1 2012/05/26 15:06:35 slords Exp $
# Authority: snetram
# Name: Jonathan Martens

Summary: Subversion for SME Server
%define name smeserver-subversion
Name: %{name}
%define version 1.5
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tgz
Patch0: smeserver-subversion-1.5-locale-2012-06-13.patch
Patch1: smeserver-subversion-1.5-prevent-empty-description.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-mod_dav subversion >= 1.2 
Requires: smeserver-release >= 8 
Requires: mod_dav_svn httpd >= 2 
Requires: e-smith-formmagick >= 1.4.0-12
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of Subversion for SME Server 8 using WebDAV.

%changelog
* Wed Jun 13 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.5-2.sme
- Prevent empty description [SME: 6988]
- Apply latest locale patch

* Sat May 26 2012 Jonathan Martens <smeserver-contribs@snetram.nl> 1.5-1.sme
- Initial version

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
